# lib/tagtable.c File Reference

`#include "system.h"`
`#include "rpmlib.h"`

Go to the source code of this file.

## Variables

const struct headerTagTableEntry_s | rpmTagTable []
| Automatically generated table of tag name/value pairs.
const int | rpmTagTableSize = sizeof(rpmTagTable) / sizeof(rpmTagTable[0]) - 1
| Number of entries in rpmTagTable.

## Variable Documentation

const struct headerTagTableEntry_s rpmTagTable[]

| Automatically generated table of tag name/value pairs. Definition at line 4 of file tagtable.c. Referenced by getTagString(), getTagVal(), hdrSprintf(), initrpm(), main(), packageBinaries(), psmStage(), queryHeader(), rpmDisplayQueryTags(), rpmHeaderGetEntry(), rpmShowProgress(), tagName(), tagNumFromPyObject(), and tagValue().

const int rpmTagTableSize = sizeof(rpmTagTable) / sizeof(rpmTagTable[0]) - 1

| Number of entries in rpmTagTable. Definition at line 115 of file tagtable.c. Referenced by initrpm(), rpmDisplayQueryTags(), tagName(), and tagNumFromPyObject().